Summary:	Program for 2D drawing organic molecules
Name:		chemtool
Version:	1.6.14
Release:	%mkrel 11
License:	GPLv2+
Group:		Sciences/Chemistry
Source0:	http://ruby.chemie.uni-freiburg.de/~martin/chemtool/%{name}-%{version}.tar.gz
Url:		http://ruby.chemie.uni-freiburg.de/~martin/chemtool/
Requires:	transfig
Requires:	openbabel
BuildRequires:	gtk2-devel
BuildRequires:	gettext-devel
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
Patch0:		%{name}-1.6.14-mga-desktop-file.patch
Patch1:		%{name}-1.6.14-gcc10.patch

%description
Chemtool is a program for drawing organic molecules easily and store them as
a X bitmap, Xfig or EPS file. It runs under the X Window System using
the GTK widget set.

%prep
%setup -q
%autopatch -p1

%build
# to recognize aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/%{name}-%{version}
install -m644 examples/* %{buildroot}%{_datadir}/%{name}-%{version}/

mkdir -p %{buildroot}%{_datadir}/applications
install -m644 %{name}.desktop %{buildroot}%{_datadir}/applications/

install -D -m644 kde/icons/hicolor/32x32/mimetypes/%{name}.png %{buildroot}%{_iconsdir}/hicolor/32x32/mimetypes/%{name}.png

# icons
%{__install} -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
%{__install} -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
%{__install} -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png
%{__install} -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{__install} -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{__install} -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%{find_lang} %{name}

%files -f %{name}.lang
%doc TODO README ChangeLog
%{_bindir}/*
%{_datadir}/%{name}-%{version}
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Wed Aug 19 2020 martinw <martinw> 1.6.14-11.mga8
+ Revision: 1615890
- fix build with gcc10

* Wed Feb 12 2020 umeabot <umeabot> 1.6.14-10.mga8
+ Revision: 1511234
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 22 2018 umeabot <umeabot> 1.6.14-9.mga7
+ Revision: 1296116
- Mageia 7 Mass Rebuild

* Tue Jun 05 2018 wally <wally> 1.6.14-8.mga7
+ Revision: 1234714
- fix build on aarch64

* Fri Mar 23 2018 kekepower <kekepower> 1.6.14-7.mga7
+ Revision: 1211716
- Use new make macros

* Thu Feb 11 2016 umeabot <umeabot> 1.6.14-6.mga6
+ Revision: 953614
- Mageia 6 Mass Rebuild

* Thu Aug 27 2015 alexl <alexl> 1.6.14-5.mga6
+ Revision: 870202
- fix license tag
- delete deprecated compilationfix.patch
- add GenericName and translations for desktop file
- cleanup spec

* Wed Oct 15 2014 umeabot <umeabot> 1.6.14-4.mga5
+ Revision: 742200
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.14-3.mga5
+ Revision: 678370
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.6.14-2.mga4
+ Revision: 531982
- Mageia 4 Mass Rebuild

* Wed Aug 14 2013 malo <malo> 1.6.14-1.mga4
+ Revision: 466453
- update to 1.6.14

* Fri Jan 11 2013 umeabot <umeabot> 1.6.13-2.mga3
+ Revision: 347670
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 20 2012 malo <malo> 1.6.13-1.mga3
+ Revision: 262296
- add %%mkrel (patch by Ezim)
- import from Mandriva


* Sun Feb 05 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.6.13-1
+ Revision: 771306
- version update 1.6.13

* Sun Aug 22 2010 Funda Wang <fwang@mandriva.org> 1.6.12-1mdv2011.0
+ Revision: 571834
- drop kde3 mimelnk

* Sun Jun 14 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.12-1mdv2010.0
+ Revision: 385896
- update to new version 1.6.12

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.6.11-4mdv2009.0
+ Revision: 243876
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.6.11-2mdv2008.1
+ Revision: 171793
- fix 'error: value "chemtool.png" for key "Icon" in group "Desktop Entry" is
  an icon name with an extension, but there should be no extension as described
  in the Icon Theme Specification if the value is not an absolute path'
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Mon Aug 27 2007 Funda Wang <fwang@mandriva.org> 1.6.11-1mdv2008.0
+ Revision: 72094
- BR desktop-file-utils
- use more generic install macro
- switch to hicolor theme
- install kde stuff
- New version 1.6.11

* Thu May 10 2007 Austin Acton <austin@mandriva.org> 1.6.10-1mdv2008.0
+ Revision: 25853
- new version
- rebuild for openbabel

